package sgc.portal.ei.ei0203.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0203.dto.EI02030001USearch;
import sgc.portal.ei.ei0203.model.EI02030001U;

@Mapper
public interface EI02030001UMapper {
	//대여금 리스트 조회
	List<EasyHashMap<String, Object>> getList1(EI02030001USearch search);
	
	//상환 리스트 조회
	List<EasyHashMap<String, Object>> getList2(EI02030001USearch search);
	
	//대여금 행 삽입
	int insert1(EI02030001U eI02030001U);
	
	//대여금 행 수정
	int update1(EI02030001U eI02030001U);
	
	//대여금 행 삭제
	int delete1(EI02030001U eI02030001U);
	
	//상환 행 삽입
	int insert2(EI02030001U eI02030001U);
	
	//상환 행 수정
	int update2(EI02030001U eI02030001U);
	
	//상환 행 삭제
	int delete2(EI02030001U eI02030001U);
	
	//상환 행 삭제
	int delete3(EI02030001U eI02030001U);
	
	//대여금 전월 리스트 갯수
	int getList3(EI02030001USearch search);
	
	//대여금 현월 행 삭제
	int deleteCopy(EI02030001USearch search);
	
	//대여금 전월 행 삽입
	int insertCopy(EI02030001USearch search);
	
	//상환 현월 행 삭제
	int deleteRepyCopy(EI02030001USearch search);
	
	//상환 전월 행 삽입
	int insertRepyCopy(EI02030001USearch search);
}
